/**
 * 
 */
package edu.uoc.framework.DTO;

import java.lang.reflect.Constructor;
import java.util.List;

/**
 * @author JBuch
 * Objecte amb la configuracio per a genera les dades
 */
public class DataConfig {

	private Class<?> cls;
	private Constructor<?> constructor;
	private String className;
	private List<FieldConfig> fieldList;
	private int level;
	
	public DataConfig(){

	}

	public DataConfig(Class<?> cls, String className,
			List<FieldConfig> fieldList, int level) {

		this.cls = cls;
		this.className = className;
		this.fieldList = fieldList;
		this.level = level;
	}

	public Class<?> getCls() {
		return cls;
	}

	public void setCls(Class<?> cls) {
		this.cls = cls;
	}

	public String getClassName() {
		return className;
	}

	public void setClassName(String className) {
		this.className = className;
	}

	public List<FieldConfig> getFieldList() {
		return fieldList;
	}

	public void setFieldList(List<FieldConfig> fieldList) {
		this.fieldList = fieldList;
	}

	public int getLevel() {
		return level;
	}

	public void setLevel(int level) {
		this.level = level;
	}

	public Constructor<?> getConstructor() {
		return constructor;
	}

	public void setConstructor(Constructor<?> constructor) {
		this.constructor = constructor;
	}
	public DataConfig clone(){
		DataConfig data = new DataConfig();
		
		data.setClassName(this.className);
		data.setCls(cls);
		data.setConstructor(constructor);
		data.setFieldList(fieldList);
		data.setLevel(level);
		
		return data;
	}
}
