/**
 * 
 */
package edu.uoc.framework.common;

/**
 * @author JBuch
 *Calsse de constants. 
 *Definim els misatges d'error de les excepcions.
 *Patro : EXC_Tipus_CODI[___]_DESCRIPCIO
 *TIPUS: 
 *	1.- DataEmpty , DE
 *	2.- DataFormat, DF
 *	3.-.......
 */
public final class ExceptionMessage {

	//DE Def
	public static final String EXC_DE_01_NOTSESSION = "Object SessionFactory not exist";
	public static final String EXC_DE_02_NOTPACKAGE = "Package not exist";
	public static final String EXC_DE_03_NOTCLASS = "Class not exist";
	public static final String EXC_DE_04_NOTCLASSLIST = "Class List not exist";
	public static final String EXC_DE_05_DATACONFIG = "Data Config is empty";
	public static final String EXC_DE_06_LISTENTITY = "Entity List is empty";

	
	//DF Def
	public static final String EXC_DF_01_NOTENTITY = "Class is not Entity";
	public static final String EXC_DF_02_ISTRANSIENT = "Field is transient";
	public static final String EXC_DF_03_NOTCORRECTDATACONFIG = "Field is transient";
	//TY Def
	public static final String EXC_TY_01_NOTCORRECTDATACONFIG = "Type is not accepted for generator";



}
