/**
 * 
 */
package edu.uoc.framework.insert;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import edu.uoc.framework.common.ExceptionMessage;
import edu.uoc.framework.exception.DataEmptyException;

/**
 * @author JBuch
 *
 */
@Service
public class InsertEntitys {

	@Autowired
	InsertObject insert;
	
	public void insertEntitys(List<Object> listEntitys) throws DataEmptyException {

		if(listEntitys == null || listEntitys.size() < 0)
			throw new DataEmptyException(ExceptionMessage.EXC_DE_06_LISTENTITY);
		
		for(Object entity : listEntitys)
			insertEntity(entity);
	}

	private void insertEntity(Object entity) {

		insert.insert(entity);	
	}
}
