/**
 * 
 */
package edu.uoc.framework.process;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import edu.uoc.framework.exception.DataEmptyException;
import edu.uoc.framework.insert.InsertEntitys;

/**
 * @author JBuch
 *Classe que extreu les classes d'un paquet.
 */
@Service
public class InsertProcess {

	@Autowired
	InsertEntitys insert;
	
	public InsertProcess() {
	}

	public void execute(List<Object> listEntitys){
		
		insertEntity(listEntitys);
	}

	private void insertEntity(List<Object> listEntitys) {
		try{
			insert.insertEntitys(listEntitys);
		}catch(DataEmptyException e){
			e.printStackTrace();
		}
	}
}
