package edu.uoc.framework.DTO;

import java.lang.reflect.Field;
import java.lang.reflect.Method;

public class FieldConfig {

	private String name;
	private Field field;
	private Method setter;
	private boolean nullable;
	private int length;
	private int precision;
	private int scale;
	
	public FieldConfig() {
		
		this.nullable = false;
		this.length = 255;
		this.precision = 0;
		this.scale = 0;
		
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Field getField() {
		return field;
	}

	public void setField(Field field) {
		this.field = field;
	}

	public Method getSetter() {
		return setter;
	}

	public void setSetter(Method setter) {
		this.setter = setter;
	}

	public boolean isNullable() {
		return nullable;
	}

	public void setNullable(boolean nullable) {
		this.nullable = nullable;
	}

	public int getLength() {
		return length;
	}

	public void setLength(int length) {
		this.length = length;
	}

	public int getPrecision() {
		return precision;
	}

	public void setPrecision(int precision) {
		this.precision = precision;
	}

	public int getScale() {
		return scale;
	}

	public void setScale(int scale) {
		this.scale = scale;
	}

}
