/**
 * 
 */
package edu.uoc.framework.Main;

import org.springframework.context.annotation.AnnotationConfigApplicationContext;

import edu.uoc.framework.Config.ContextFrameworkConfig;

/**
 * @author JBuch
 * 
 */
public class MainForExecute {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		//Define context aplication
		Class contextAPP = null;
		//Define package where is Entitys 
		String packageEntity = "edu.uoc.prototip.model";
		
		@SuppressWarnings("resource")
		AnnotationConfigApplicationContext ctx = new AnnotationConfigApplicationContext();

		ctx.register(contextAPP, ContextFrameworkConfig.class);
		ctx.refresh();
		
		Generator gen = ctx.getBean(Generator.class);
		
		Package pkg = Package.getPackage(packageEntity);
		
		gen.setPkg(pkg);
		gen.run();
	}

}
