/**
 * 
 */
package edu.uoc.framework.common;

/**
 * @author JBuch
 *Constants que defineixen un int per cada type que accepta el generador
 */
public class ConstantsType {

	//Primitius
	public final static int STRING_TYPE = 1;
	public final static int BOOLEAN_PR_TYPE = 2;
	public final static int BYTE_PR_TYPE = 3;
	public final static int SHORT_PR_TYPE = 4;
	public final static int CHAR_PR_TYPE = 5;
	public final static int INT_PR_TYPE = 6;
	public final static int LONG_PR_TYPE = 7;
	public final static int FLOAT_PR_TYPE = 8;
	public final static int DOUBLE_PR_TYPE = 9;
	//Objectes
	public final static int BOOLEAN_TYPE = 101;
	public final static int BYTE_TYPE = 102;
	public final static int SHORT_TYPE = 103;
	public final static int CHARACTER_TYPE = 104;
	public final static int INTEGER_TYPE = 105;
	public final static int LONG_TYPE = 106;
	public final static int FLOAT_TYPE = 107;
	public final static int DOUBLE_TYPE = 108;
	//Dates java.sql.Date
	public final static int DATE_SQL_TYPE = 201;
	public final static int TIME_SQL_TYPE = 202;
	public final static int TIMESTAMP_SQL_TYPE = 203;
}
